#!/bin/bash

IMAGE_NAME=python_aws_layer.image
CONTAINER_NAME=python_aws_layer.container

docker buildx build . -t $IMAGE_NAME:latest
# check if container exists
if [ ! "$(docker ps -a -q -f name=$CONTAINER_NAME)" ]; then
    # check if it exited
    if [ "$(docker ps -aq -f status=exited -f name=$CONTAINER_NAME)" ]; then
        # cleanup
        docker rm $CONTAINER_NAME
    fi
    # run your container
    docker run --name $CONTAINER_NAME $IMAGE_NAME
fi

docker cp $CONTAINER_NAME:/usr/src/app/python.zip .
docker stop $CONTAINER_NAME
docker rm $CONTAINER_NAME
